POST api/Score/Friend/Bind/Course
好友绑定兑换课程信息(说明:小程序端接口)
Request Information
URI Parameters
None.
Body Parameters
参数列表
API_FriendBindCourse| Name | Description | Type | Additional information |
|---|---|---|---|
| exchangeUserOpenId |
兑换课程用户OpenId |
string |
None. |
| convertCourseRecordId |
兑换课程记录Id |
integer |
None. |
| bindCode |
兑换码 |
string |
None. |
| bindUserOpenId |
绑定用户OpenId |
string |
None. |
Request Formats
application/json, text/json
Sample:
{
"exchangeUserOpenId": "sample string 1",
"convertCourseRecordId": 2,
"bindCode": "sample string 3",
"bindUserOpenId": "sample string 4"
}
Response Information
Resource Description
返状态码: 403:请求不合理,服务器拒绝执行(1、请求参数不正确 2、兑换人信息不正确 3、兑换码不正确)... 。404:兑换信息不存在、课程兑换信息不存在... 。201:课程兑换信息已被绑定... 。200:兑换绑定成功... 。400:绑定失败... 。
ActionResult| Name | Description | Type | Additional information |
|---|---|---|---|
| status |
公共返回值: 480:Token无效。 481:请求需要身份验证。 482:身份验证方式不正确。 483:Token已过期。 500:服务器内部错误。 |
integer |
None. |
| msg |
消息 |
string |
None. |
Response Formats
application/json, text/json
Sample:
{
"status": 1,
"msg": "sample string 2"
}